Update Inventory Notifications Settings
Updates inventory notification settings.
channel_idcan be used as a query parameter to get inventory notification settings per channel. If omitted, you will interact with the global settings only.- Supplying
nullsettings values per channel will delete overrides per given channel and values will be inherited from global level. - Partial updates are not supported within the given endpoint. In order to delete overrides per channel,
nullshould be supplied for all the settings within the given endpoint.
Authentication
X-Auth-Tokenstring
OAuth scopes
NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Query parameters
channel_id
Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.
Request
null set for a particular field removes override on a channel level and means inheritance from a global level
low_stock_notification_address
out_of_stock_notification_address
Response
OK